import request from '@/utils/request'

// 查询客户负责人列表
export function listCustomersResponsiblePerson(query) {
  return request({
    url: '/cm/customersResponsiblePerson/list',
    method: 'get',
    params: query
  })
}

// 查询客户负责人详细
export function getCustomersResponsiblePerson(id) {
  return request({
    url: '/cm/customersResponsiblePerson/' + id,
    method: 'get'
  })
}

// 新增客户负责人
export function addCustomersResponsiblePerson(data) {
  return request({
    url: '/cm/customersResponsiblePerson',
    method: 'post',
    data: data
  })
}

// 修改客户负责人
export function updateCustomersResponsiblePerson(data) {
  return request({
    url: '/cm/customersResponsiblePerson',
    method: 'put',
    data: data
  })
}

// 删除客户负责人
export function delCustomersResponsiblePerson(ids) {
  return request({
    url: '/cm/customersResponsiblePerson/delete',
    method: 'post',
    data: ids
  })
}
